# Remove-RASAVDHost.md

## NAME

Remove-RASAVDHost

## SYNOPSIS

The cmdlet removes an object of type Azure Virtual Desktop Host.

## SYNTAX

**Remove-RASAVDHost** \[\[-[SiteId](#siteid-string)] *(uint)*] -[AzureId](#azureid-string) *(string)* -[HostPoolId](#hostpoolid-string) *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Remove-RASAVDHost** \[\[-[SiteId](#siteid-string)] *(uint)*] -[ProviderId](#providerid-string) *(uint)* -[VMId](#vmid-string) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

The cmdlet removes an object of type Azure Virtual Desktop Host.

## PARAMETERS

## ProviderId (uint)

The Provider ID.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## VMId (string)

The VM ID.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## HostPoolId (uint)

Host Pool Id.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AzureId (string)

The Azure Host ID.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the AVD Host information.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASAVDHost -HostPoolID 1 -AzureID "/subscriptions/b64739563-74S9-849s-ks94-89sa5nbj83oe/resourceGroups/My-Resource-Group/providers/Microsoft.Compute/virtualMachines/My-Virtual-Machine"

Removes an AVD Host from a Standalone AVD Host Pool.\
\*\*---------- EXAMPLE 2 ----------

Remove-RASAVDHost -ProviderId 1 -SiteId 1 -VMID "42311235-09c5-ca15-337d-b9723015edf0"

Removes AVD Hosts from a Templated AVD Host Pool.

## RELATED LINKS

* [Get-RASAVDHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasavdhost.md)
* [New-RASAVDHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasavdhost.md)
* [Invoke-RASAVDHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasavdhost.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasavdhost.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
